Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Sound

    java.lang.Object
      SimpleSound
          Sound

    public class Sound

extends SimpleSound

Class that represents a sound. This class is used by the students to extend the capabilities of SimpleSound. Copyright Georgia Institute of Technology 2004

Author:
  Barbara Ericson ericson@cc.gatech.edu

Field Summary

Fields inherited from class SimpleSound
`MAX_NEG, MAX_POS`

Constructor Summary
`Sound(int numSamples)` Constructor that takes the number of samples in the sound
`Sound(int numSamples, int sampleRate)` Constructor that takes the number of samples that this sound will have and the sample rate
`Sound(Sound copySound)` Constructor that takes a sound to copy
`Sound(String fileName)` Constructor that takes a file name

Method Summary
`static void` | `main(String[] args)`
`String` | `toString()` Method to return the string representation of this sound

Methods inherited from class SimpleSound
`asArray, blockingPlay, blockingPlayAtRateDur, blockingPlayAtRateInRange, blockingPlayOld, convert, explore, getAudioFileFormat, getBuffer, getChannels, getDEBUG, getFileName, getFrame, getLeftSample, getLength, getLengthInBytes, getLengthInFrames, getNumSamples, getPlaybacks, getRightSample, getSample, getSamples, getSampleValue, getSampleValueAt, getSamplingRate, getSoundExplorer, isStereo, loadFromFile, makeAIS, play, playAtRateDur, playAtRateInRange, playAtRateInRange, playNote, printError, printError, removePlayback, setAudioFileFormat, setBuffer, setFrame, setLeftSample, setRightSample, setSampleValue, setSampleValueAt, setSoundExplorer, write, writeToFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Sound

    public Sound(String fileName)

  Constructor that takes a file name

  Parameters:
    `fileName` - the name of the file to read the sound from

### Sound

    public Sound(int numSamples)

  Constructor that takes the number of samples in the sound

  Parameters:
    `numSamples` - the number of samples desired

### Sound

    public Sound(int numSamples,
                 int sampleRate)

  Constructor that takes the number of samples that this sound will have and the sample rate

  Parameters:
    `numSamples` - the number of samples desired
    `sampleRate` - the number of samples per second

### Sound

    public Sound(Sound copySound)

  Constructor that takes a sound to copy

Method Detail

### toString

    public String toString()

  Method to return the string representation of this sound

  Overrides:
    `toString` in class `SimpleSound`
  Returns:
    a string with information about this sound

### main

    public static void main(String[] args)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD